# 1DHT model code
Repository of 'Hornum, M. T., Hodson, A., Jessen, S., Bense, V. and Senger, K.: Numerical modelling of permafrost spring discharge and open-system pingo formation induced by basal permafrost aggradation, The Cryosphere, 2020'

The 1DHT model is a transient one-dimensional heat transfer model suitable for simulating permafrost dynamics. The core of the model is an explicit forward-difference time approximation of the one-dimensional heat transfer equation. The model codes may be run with MATLAB.

The script 'Code_1DHT_model.m' is tailored to simulate the Holocene ground temperature
development in Adventdalen, Svalbard, but may be modified to fit other purposes. See the Supplement to Hornum et al. (2020) for model code validation.

To save figures and simulation data produced by 'Code_1DHT_model.m', run 'Save_data.m' afterwards. 

Usage must be cited by reference to Hornum et al. (2020). Any
questions or other inquiries should be directed to mth@ign.ku.dk
